Feel free to reach techsupport@surepass.io for any technical support or guidance.
Authorization header as Bearer TOKEN.https://sandbox.surepass.iohttps://kyc-api.surepass.io| Header | Required | Description |
|---|---|---|
| Authorization | Yes | Bearer token authentication using JWT format |
| Content-Type | Yes | Application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
| start_date | String | Yes | Start date for the report in YYYY-MM-DD format |
| end_date | String | Yes | End date for the report in YYYY-MM-DD format |
| type | String | Yes | Type of verification service for the report (see supported types below) |
| recipient_email | String | Yes | Email address where the report will be sent |
pan - PAN card verificationvoter_id - Voter ID verificationaadhaar_validation - Aadhaar validationgstin - GSTIN verificationlicense - License verificationvoter_ocr - Voter ID OCRbank_validation - Bank account validation{
"start_date": "2020-01-01",
"end_date": "2020-03-06",
"type": "pan",
"recipient_email": "sample@example.com"
}| Parameter | Type | Description |
|---|---|---|
| success | Boolean | Indicates if the request was successful |
| message | String | Description of the result or error |
| status_code | Integer | HTTP status code of the response |
{
"success": true,
"message": "Report generation initiated. You will receive the report on the provided email address shortly.",
"status_code": 200
}{
"success": false,
"message": "Invalid date format. Please use YYYY-MM-DD format.",
"status_code": 400
}curl --location --request POST 'https://kyc-api.surepass.app/api/v1/utils/usage/usage-report' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"start_date": "2020-01-01",
"end_date": "2020-03-06",
"type": "pan",
"recipient_email": "sample@example.com"
}'{}